package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.laboratory.domain.LabViolation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 个人信息及违规记录VO
 *
 * @Author: zhoupan
 * @Date: 2021/09/07/15:17
 * @Description:
 */
@ApiModel("个人中心")
public class LabViolationInfoVO{



    private Long userId;
    /**
     * 状态
     */
    private String status;
    /**
     * 违规次数
     */
    private Long violatioNum;
    /**
     * 黑名单次数
     */
    private Long blackListNum;

    private String userName;
    /**
     * 学院
     */
    private String deptName;

    /**
     * 负面清单次数
     */
    private String negativeListCount;


    /**
     * 头像
     */
    private String avatar;

    /**
     * 总积分
     */
   private Long totalPoints;

    /**
     * 奖励分
     */
   private Long bonusPoints;

    /**
     * 学习时长
     */
   private String studyLen;



    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getViolatioNum() {
        return violatioNum;
    }

    public void setViolatioNum(Long violatioNum) {
        this.violatioNum = violatioNum;
    }

    public Long getBlackListNum() {
        return blackListNum;
    }

    public void setBlackListNum(Long blackListNum) {
        this.blackListNum = blackListNum;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getNegativeListCount() {
        return negativeListCount;
    }

    public void setNegativeListCount(String negativeListCount) {
        this.negativeListCount = negativeListCount;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Long getTotalPoints() {
        return totalPoints;
    }

    public void setTotalPoints(Long totalPoints) {
        this.totalPoints = totalPoints;
    }

    public Long getBonusPoints() {
        return bonusPoints;
    }

    public void setBonusPoints(Long bonusPoints) {
        this.bonusPoints = bonusPoints;
    }

    public String getStudyLen() {
        return studyLen;
    }

    public void setStudyLen(String studyLen) {
        this.studyLen = studyLen;
    }
}
